curl --request GET \
--url https://api.treasuryprime.com/network_transfer \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/network_transfer"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/network_transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": "100.00",
"created_at": "2017-11-02T11:55:14Z",
"cross_bank": true,
"description": "Transfer",
"estimated_settlement_at": "2017-11-02T11:55:14Z",
"from_account_id": "acct_1234567890",
"id": "nt_1029384756",
"status": "pending",
"to_account_id": "acct_0987654321",
"updated_at": "2017-11-02T11:55:14Z",
"userdata": null
}
]
}List Network Transfers
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Identifies whether or not this transfer is between different banks. When true, Treasury Prime is explicitly directed to balance on-core funds between the two banks involved. Filterable.
ID of the Account originating the transfer. Filterable.
ID of the organization with which this object is associated. Filterable.
One of pending, canceled, sent, or error. Filterable.
ID of the Account receiving the transfer. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size network_transfer elements, starting after the network_transfer described by page_cursor. If no more network_transfers are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?